ghc-7.4.2: The GHC API

Safe Haskell | None

BufWrite

# Documentation

data BufHandle

Constructors

BufHandle !(Ptr Word8) !FastMutInt Handle |

newBufHandle :: Handle -> IO BufHandle

bPutChar :: BufHandle -> Char -> IO ()

bPutStr :: BufHandle -> String -> IO ()

bPutFS :: BufHandle -> FastString -> IO ()

bPutLitString :: BufHandle -> LitString -> FastInt -> IO ()

bFlush :: BufHandle -> IO ()